#language: ru

@MovingProductsRLS

Функционал: 003. MovingProductsRLS. Зона доставки и транспортное средство

Сценарий: 003.1. MovingProductsRLS. Создание физического лица

	Дано Я подключаюсь под "Ведение НСИ транспортной логистики"
	Дано я устанавливаю текущему сеансу заголовок приложения "17.004. РЛС Перемещения товаров"
	Дано я удаляю объекты "Справочники.к2ФизическиеЛица" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Физические лица'
	Тогда я жду открытия окна 'Физические лица' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Физическое лицо (создание)'
	И в поле 'Наименование' я ввожу текст 'Водитель Петров Петр'
	И в поле 'ФИО' я ввожу текст 'Петров Петр'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Физическое лицо (создание)' в течение 20 секунд
	Тогда открылось окно 'Физические лица'
	И Я закрываю окно 'Физические лица'

Сценарий: 003.2. MovingProductsRLS. Создание типа транспортного средства

	Дано я удаляю объекты "Справочники.к2ТипыТранспортныхСредств" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Типы транспортных средств'
	Тогда я жду открытия окна 'Типы транспортных средств' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Типы транспортных средств (создание)'
	И в поле 'Наименование' я ввожу текст 'Газель'
	И в поле 'Вместимость' я ввожу текст '35,000'
	И я перехожу к следующему реквизиту
	И в поле 'Грузоподъемность' я ввожу текст '9,000'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
	И Я закрываю окно 'Типы транспортных средств'

Сценарий: 003.3. MovingProductsRLS. Создание транспортного средства

	Дано я удаляю объекты "Справочники.к2ТранспортныеСредства" без контроля ссылок
	Когда В командном интерфейсе я выбираю 'Склад и доставка' 'Транспортные средства'
	Тогда я жду открытия окна 'Транспортные средства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Транспортные средства (создание)'
	И в поле 'Государственный номер' я ввожу текст 'А524НВ'
	И в поле 'Марка' я ввожу текст 'Газель'
	И из выпадающего списка "Тип" я выбираю по строке 'Газель'
	И из выпадающего списка "Основной водитель" я выбираю по строке 'Водитель Петров Петр'
	И я устанавливаю флаг 'Постоянно наемное ТС'
	И из выпадающего списка "Транспортная компания" я выбираю по строке 'Перевозчик(Газель)'
	И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
	И в таблице "СкладыОтгрузки" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Склад готовой продукции'
	И в таблице "СкладыОтгрузки" я завершаю редактирование строки
	И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
	И в таблице "СкладыОтгрузки" из выпадающего списка "Склад отгрузки" я выбираю по строке 'Сырная ГП'
	И в таблице "СкладыОтгрузки" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Транспортные средства (создание) *' в течение 20 секунд
	Тогда открылось окно 'Транспортные средства'
	И Я закрываю окно 'Транспортные средства'

Сценарий: 003.4. MovingProductsRLS. Завершение

	И я закрываю сеанс TESTCLIENT